# Search in a Directory

Search for a location identified by a uberall unique id in a specific directory

Endpoint: GET /search/{id}
Version: 20260331
Security: X-PUBLIC-API-KEY

## Path parameters:

  - `id` (string, required)
    The unique id of the SearchData returned by /api/search/

## Query parameters:

  - `directory` (string)
    The directory you want to search in

  - `token` (string)
    The token you got using /api/search

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.result` (object)
    Basic Listings Model

  - `response.result.name` (string)
    The location's name used for this listing

  - `response.result.nameStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.street` (string)
    The location's street address

  - `response.result.streetStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.streetNo` (string)
    The location's street number

  - `response.result.streetNoStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.streetType` (string)
    Required for Spain. One of ALAMEDA, AVENIDA, CALLE, CAMINO, CARRER, CARRETERA, GLORIETA, KALEA, PASAJE, PASEO, PLACA, PLAZA, RAMBLA, RONDA, RUA, SECTOR, TRAVESERA, TRAVESIA, URBANIZACION
    Enum: "ALAMEDA", "AVENIDA", "CALLE", "CAMINO", "CARRER", "CARRETERA", "GLORIETA", "KALEA", "PASAJE", "PASEO", "PLACA", "PLAZA", "RAMBLA", "RONDA", "RUA", "SECTOR", "TRAVESERA", "TRAVESIA", "URBANIZACION"

  - `response.result.streetTypeStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.streetAndNo` (string)
    A localized combination of street and streetNo

  - `response.result.streetAndNoStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.addressExtra` (string)
    An address extra: e.g. building, floor...
    Example: "building, floor, ..."

  - `response.result.addressExtraStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.zip` (string)
    Zip code

  - `response.result.zipStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.city` (string)
    City

  - `response.result.cityStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.addressDisplay` (boolean)
    If set to false the address will not be published on the directories, this is useful for businesses that don't have customers come to them ( e.g. a plumber )
    Example: true

  - `response.result.addressDisplayStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.phone` (string)
    The location's contact phone number

  - `response.result.phoneStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.fax` (string)
    The location fax number

  - `response.result.faxStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.cellphone` (string)
    A contact mobile phone number

  - `response.result.cellphoneStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.website` (string)
    A valid url for the location's website (use UTMs to add tracking)

  - `response.result.websiteStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.email` (string)
    A contact email for the location

  - `response.result.emailStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.descriptionLong` (string)
    A long description (up to 1000 characters) for the location
    Example: "A long description (up to 1000 characters) for the location"

  - `response.result.descriptionLongStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.descriptionShort` (string)
    A short description (up to 200 characters) for the location

  - `response.result.descriptionShortStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.imprint` (string)
    The location's imprint

  - `response.result.imprintStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.openingHours` (array)
    The location's opening hours: e.g.
[ &#123; 
    "dayOfWeek": 1,
    "closed": false,
    "from1": "08:00",
    "to1": "11:00"
  &#125;, 
  &#123;
    "dayOfWeek": 2,
    "closed": false,
    "from1": "08:00",
    "to1": "11:00",
    "from2": "13:00",
    "to2": "21:00"
  &#125;,
  &#123;
    "dayOfWeek": 3,
    "closed": true
  &#125;
]
Please note that having more than 2 time periods for each day is not possible.
    Example: [{"dayOfWeek":1,"closed":false,"from1":"08:00","to1":"11:00"},{"dayOfWeek":2,"closed":false,"from1":"08:00","to1":"11:00","from2":"13:00","to2":"21:00"},{"dayOfWeek":3,"closed":true}]

  - `response.result.openingHours.closed` (boolean)
    Indicates whether a location is closed on a day.

  - `response.result.openingHours.dayOfWeek` (integer, required)
    The weekday of an opening hours, e.g.: 1 for Monday, 2 for Tuesday, ...

  - `response.result.openingHours.toX` (string)
    An end of a period. One or multiple periods are supported per dayOfWeek, e.g.: "to1": "14:30", "to2": "17:00"

  - `response.result.openingHours.fromX` (string)
    A beginning of a period. One or multiple periods are supported per dayOfWeek, e.g.: "from1": "09:00", "from2": "15:00"

  - `response.result.openingHoursStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.openingHoursNotes` (string)
    Additional info about opening hours: e.g. 'We never open on bank holidays' - max. 255 characters
    Example: "We never open on bank holidays"

  - `response.result.openingHoursNotesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.moreHours` (array)
    The location's additional service hours, such as delivery, pickup, happy hours etc. Submitted to Google.
    Example: "<pre>[&#123;\n    \"type\": \"ONLINE_SERVICE_HOURS\",\n    \"hours\": [&#123;\n        \"dayOfWeek\": 1,\n        \"from1\": \"09:00\",\n        \"to1\": \"18:00\"\n    &#125;, &#123;\n        \"dayOfWeek\": 2,\n        \"from1\": \"09:00\",\n        \"to1\": \"13:00\"\n    &#125;]\n&#125;, &#123;\n    \"type\": \"ACCESS\",\n    \"hours\": [&#123;\n        \"dayOfWeek\": 1,\n        \"from1\": \"06:00\",\n        \"to1\": \"20:00\"\n    &#125;]\n&#125;]</pre>"

  - `response.result.moreHoursStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.specialOpeningHours` (array)
    The location's special opening hours: e.g.
[ &#123; 
    "date": "2017-06-29",
    "closed": true
  &#125;, 
  &#123;
    "date": "2017-06-30",
    "from1": "11:00",
    "to1": "14:00",
    "from2": "16:00",
    "to2": "20:00"
  &#125;
]
Please note that having more than 2 time periods for each day is not possible.
    Example: [{"date":"2017-06-29","closed":true},{"date":"2017-06-30","from1":"11:00","to1":"14:00","from2":"16:00","to2":"20:00"}]

  - `response.result.specialOpeningHours.closed` (boolean)
    Indicates whether a location is closed on a date.

  - `response.result.specialOpeningHours.toX` (string)
    An end of a period. Up to two periods are supported per date, e.g.: "to1": "09:00", "to2": "15:00"

  - `response.result.specialOpeningHours.fromX` (string)
    A beginning of a period. Up to two periods are supported per date, e.g.: "from1": "09:00", "from2": "15:00"

  - `response.result.specialOpeningHours.date` (string, required)
    The date of a special opening hour, e.g.: 2017-06-30

  - `response.result.specialOpeningHoursStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.keywordsStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.categoriesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.attributesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.photosStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.legalIdent` (string)
    A legal identifier of the location. SIRET number in France

  - `response.result.legalIdentStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.taxNumber` (string)
    The tax number of the location. CIF/NIF in Spain

  - `response.result.taxNumberStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.province` (string)
    Province. Only send when not blank

  - `response.result.provinceStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.country` (string)
    Country. One of AT, CH, DE, ES, UK, FR, IT, NL
    Enum: "AF", "AX", "AL", "DZ", "AS", "AD", "AO", "AI", "AQ", "AG", "AR", "AM", "AW", "AU", "AT", "AZ", "BS", "BH", "BD", "BB", "BY", "BE", "BZ", "BJ", "BM", "BT", "BO", "BQ", "BA", "BW", "BV", "BR", "IO", "BN", "BG", "BF", "BI", "KH", "CM", "CA", "CV", "KY", "CF", "TD", "CL", "CN", "CX", "CC", "CO", "KM", "CG", "CD", "CK", "CR", "CI", "HR", "CU", "CW", "CY", "CZ", "DK", "DJ", "DM", "DO", "EC", "EG", "SV", "GQ", "ER", "EE", "ET", "FK", "FO", "FJ", "FI", "FR", "GF", "PF", "TF", "GA", "GM", "GE", "DE", "GH", "GI", "GR", "GL", "GD", "GP", "GU", "GT", "GG", "GN", "GW", "GY", "HT", "HM", "VA", "HN", "HK", "HU", "IS", "IN", "ID", "IR", "IQ", "IE", "IM", "IL", "IT", "JM", "JP", "JE", "JO", "KZ", "KE", "KI", "KP", "KR", "XK", "KW", "KG", "LA", "LV", "LB", "LS", "LR", "LY", "LI", "LT", "LU", "MO", "MK", "MG", "MW", "MY", "MV", "ML", "MT", "MH", "MQ", "MR", "MU", "YT", "MX", "FM", "MD", "MC", "MN", "ME", "MS", "MA", "MZ", "MM", "NA", "NR", "NP", "NL", "NC", "NZ", "NI", "NE", "NG", "NU", "NF", "MP", "NO", "OM", "PK", "PW", "PS", "PA", "PG", "PY", "PE", "PH", "PN", "PL", "PT", "PR", "QA", "RE", "RO", "RU", "RW", "BL", "SH", "KN", "LC", "MF", "PM", "VC", "WS", "SM", "ST", "SA", "SN", "RS", "SC", "SL", "SG", "SX", "SK", "SI", "SB", "SO", "ZA", "GS", "SS", "ES", "LK", "SD", "SR", "SJ", "SZ", "SE", "CH", "SY", "TW", "TJ", "TZ", "TH", "TL", "TG", "TK", "TO", "TT", "TN", "TR", "TM", "TC", "TV", "UG", "UA", "AE", "UK", "US", "UM", "UY", "UZ", "VU", "VE", "VN", "VG", "VI", "WF", "EH", "YE", "ZM", "ZW"

  - `response.result.countryStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.socialPost` (object)
    A Social Post is a message for your customers that will be published on some of your listings. This can be a "News", a "Special Offer" or a "Question and Answer".

  - `response.result.socialPost.title` (string)
    The title of the Social Post. For type QUESTION_AND_ANSWER this is going to be the question.

  - `response.result.socialPost.description` (string)
    The description of the Social Post. For type QUESTION_AND_ANSWER this is going to be the answer.

  - `response.result.socialPost.url` (string)
    A link for the Social Post. This is mandatory for a "Special Offer" and should point to a page concerning the offer.

  - `response.result.socialPost.type` (string, required)
    The type of the Social Post. POST, OFFER, QUESTION_AND_ANSWER, EVENT or ALERT.
    Enum: "POST", "OFFER", "ALERT", "EVENT", "QUESTION_AND_ANSWER", "REEL", "STORY", "CAROUSEL"

  - `response.result.socialPost.alertType` (string)
    A special type for Google ALERT posts. Possible values are COVID_19.
    Enum: "COVID_19"

  - `response.result.socialPost.id` (integer)
    Id

  - `response.result.socialPost.campaignId` (integer)
    The campaign ID this Social Post belongs to

  - `response.result.socialPost.campaign` (object)
    Social Post Campaign Model

  - `response.result.socialPost.campaign.id` (integer)
    Campaign id

  - `response.result.socialPost.campaign.name` (string)
    Campaign name

  - `response.result.socialPost.campaign.color` (string)
    Campaign color in hex format

  - `response.result.socialPost.status` (string)
    The current status of the Social Post (scheduled, active, inactive, deleted, not_published, published, impossible)
    Enum: "SCHEDULED", "APPROVAL_NEEDED", "ACTIVE", "INACTIVE", "DELETED", "IMPOSSIBLE", "INCOMPLETE", "ENDED", "REJECTED"

  - `response.result.socialPost.dateStart` (string)
    The starting date of EVENT and OFFER type Social Posts. It is used to indicate when an EVENT/OFFER will start. For API versions older than 20210804, it is used as publicationDate.

  - `response.result.socialPost.dateEnd` (string)
    The ending date of the Social Post (type=OFFER). The post will be removed from the listings at that date. It also determines when a special offer should end.

  - `response.result.socialPost.publicationDate` (string, required)
    The date on which the Social Post will be published. It is used to schedule posts in the future. Format: YYYY-MM-dd'T'HH:mm:ssXXXXX  (Example: 2007-12-03T10:15:30+01:00)
    Example: "2024-06-25T11:01:00Z"

  - `response.result.socialPost.isStoreLocator` (boolean)
    When enabled, the SocialPost will be visible in StoreLocator.

  - `response.result.socialPost.productName` (string)
    The name of the product for a Product Social Post. A Social Post becomes a Product Social Post if that field is set.

  - `response.result.socialPost.timeZone` (string)
    The timezone in which the Social Post should be created
    Example: "Europe/Berlin"

  - `response.result.socialPost.productPriceMin` (integer)
    Lower price of a Product Social Post if the product has a price range, or the price for the product.

  - `response.result.socialPost.productPriceMax` (integer)
    Upper price of the product for Product Social Post. If the price is just a single price and not a range, set only productPriceMin.

  - `response.result.socialPost.productCurrency` (string)
    The currency of a Product Social Post. It is a 3-letters symbol (EUR, USD, ...).
    Enum: "EUR", "USD", "GBP", "CHF", "AUD", "RUB", "JPY", "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHE", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "FJD", "FKP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LTL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USN", "UYI", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "XSU", "XUA", "YER", "ZAR", "ZMW", "ZWL"

  - `response.result.socialPost.labels` (array)
    The list of location labels as entered when creating/updating the Social Post.
    Example: "['Campaign2018', 'EastCoast']"

  - `response.result.socialPost.photos` (array)
    The social post's photos

  - `response.result.socialPost.photos.photo` (string)

  - `response.result.socialPost.photos.description` (string)

  - `response.result.socialPost.photos.redirectUrl` (string)

  - `response.result.socialPost.callToActions` (array)
    Social Post Call to Action

  - `response.result.socialPost.callToActions.url` (string)

  - `response.result.socialPost.callToActions.type` (string)

  - `response.result.socialPost.callToActions.directory` (string)

  - `response.result.socialPost.firstComment` (string)
    The first comment to be posted after a post creation. Only available for INSTAGRAM

  - `response.result.socialPost.mentions` (array)
    The mentions of the social post

  - `response.result.socialPost.mentions.id` (string)
    Id

  - `response.result.socialPost.mentions.name` (string)
    Name

  - `response.result.socialPost.mentions.link` (string)
    Link

  - `response.result.socialPost.mentions.avatar` (string)
    Avatar

  - `response.result.socialPost.statusPerDirectory` (object)

  - `response.result.socialPost.publicationsCount` (integer)
    Publications count

  - `response.result.socialPost.businessIds` (array)
    The list of businesses IDs as entered when creating/updating the Social Post.

  - `response.result.socialPost.locationIds` (array)
    The list of locations IDs as entered when creating/updating the Social Post.

  - `response.result.socialPost.listingPages` (array)
    The list of listing page IDs as entered when creating/updating the Social Post.

  - `response.result.socialPost.businessPages` (array)
    The list of business page IDs as entered when creating/updating the Social Post.

  - `response.result.socialPost.locationGroups` (array)

  - `response.result.socialPost.excludedLocationIds` (array)
    List of locationIds that should be excluded from the request. Can be used in combination with businessId when some locations should not be considered.

  - `response.result.socialPost.directories` (array, required)
    The list of directories as entered when creating/updating the Social Post.

  - `response.result.socialPost.directories.type` (string)
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN"

  - `response.result.socialPost.directories.url` (string)
    The URL of the directory

  - `response.result.socialPost.couponCode` (string)
    A couponCode for redeeming a "Special Offer" (SocialPost.type=OFFER). Currently only supported for Google Posts.

  - `response.result.socialPost.termsAndConditions` (string)
    Terms and Conditions for redeeming a "Special Offer" (SocialPost.type=OFFER). Currently only supported for Google Posts.

  - `response.result.socialPost.canEdit` (boolean)

  - `response.result.socialPost.locationName` (string)

  - `response.result.socialPost.businessName` (string)

  - `response.result.socialPost.warnings` (array)

  - `response.result.socialPost.insights` (array)

  - `response.result.socialPost.insights.metrics` (object)

  - `response.result.socialPost.owner` (object)
    Social Post Owner Model

  - `response.result.socialPost.owner.id` (integer)
    User id

  - `response.result.socialPost.owner.name` (string)
    Firstname and lastname of the user.

  - `response.result.socialPost.owner.isApiAdmin` (boolean)

  - `response.result.socialPost.videos` (array)
    The video of the social post (can only be one)

  - `response.result.socialPostStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.videosStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.contentListsStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.socialProfilesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.paymentOptionsStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.brandsStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.servicesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.transactionLinksStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.languagesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.attribution` (object)
    Attribution logo and url for data source

  - `response.result.attribution.name` (string, required)
    Name of the attribution

  - `response.result.attribution.url` (string, required)
    URL the attribution should point to

  - `response.result.attribution.id` (integer)

  - `response.result.attribution.logo` (object)
    Logo details model

  - `response.result.attribution.logo.url` (string, required)
    Url pointing to the attribution logo

  - `response.result.attribution.logo.type` (string)
    Type
    Example: "LOGO"

  - `response.result.attribution.logo.description` (string)
    Description of the logo

  - `response.result.attributionStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.lat` (number)
    The latitude of the listing

  - `response.result.latStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.lng` (number)
    The longitude of the listing

  - `response.result.lngStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.serviceAreasStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.rating` (number)
    Average rating of the listing

  - `response.result.ratingStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE or PRESENT
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.numberOfRatings` (integer)
    Number of ratings

  - `response.result.numberOfRatingsStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE or PRESENT
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.listingId` (string)
    The listing id in the directory's database

  - `response.result.listingUrl` (string)
    The listing url on the directory's website

  - `response.result.directoryType` (string)
    The directory where this listing appears
    Enum: "FOURSQUARE", "UBER", "GOOGLE", "WAZE", "GOOGLE_MAPS", "YELP_API", "MEINESTADT", "NOKIA_HERE", "FACEBOOK", "TOMTOM", "STADTBRANCHENBUCH", "CYLEX", "UNTERNEHMENSAUSKUNFT", "ACOMPIO", "BUSINESSBRANCHENBUCH", "SCOOT", "CENTRAL_INDEX", "CITIPAGES", "THE_DAILY_RECORD", "THE_EVENING_STANDARD", "THE_SCOTSMAN", "LIVERPOOL_ECHO", "TOUCH_LOCAL", "THE_MIRROR", "ANNUAIRE", "INFOBEL", "US_INFO_COM", "BING", "WO_GIBTS_WAS", "KOOMIO", "OEFFNUNGSZEITENBUCH", "APPLE_MAPS", "WHERE_TO", "TUPALO", "BRANCHENBUCH_DEUTSCHLAND", "MARKTPLATZ_MITTELSTAND", "BUSQUEDA_LOCAL", "RICERCARE_IMPRESE", "PAGES24", "NAVMII", "AUDI", "BMW", "MERCEDES", "VW", "TOYOTA", "FORD", "FIAT", "GM", "INSTAGRAM", "CITY_SQUARES", "SHOWMELOCAL", "CHAMBER_OF_COMMERCE", "JUDYS_BOOK", "MY_LOCAL_SERVICES", "HOTFROG", "INFO_IS_INFO", "MANTA", "US_CITY", "GO_YELLOW", "N49", "PRATIQUE", "EZLOCAL", "ELOCAL", "YELLOW_PAGES", "SUPER_PAGES", "DEX_KNOWS", "KAUFDA_MANUAL", "I_GLOBAL", "BRANCHEN_INFO_MANUAL", "GUTE_BANKEN_MANUAL", "D_11880_COM_MANUAL", "BANKOEFFNUNGSZEITEN_DE_MANUAL", "BANK_OEFFNUNGSZEITEN_DE_MANUAL", "CYLEX_MANUAL", "FINDE_OFFEN_MANUAL", "MEIN_PROSPEKT_MANUAL", "FIND_OPEN", "GO_LOCAL", "MEINUNGSMEISTER", "YAHOO_MANUAL", "TRIP_ADVISOR", "ZIP_CH", "INFOGROUP", "TRUSTPILOT", "AUSKUNFT", "NEXT_DOOR", "GOOGLE_ASSISTANT", "SIRI", "HUAWEI", "DOCTOR_COM", "DENTAL_PLANS", "DOC_SPOT", "HEALTHGRADES", "SHARE_CARE", "VITALS", "WEB_MD", "WELLNESS", "BING_HEALTH", "NPPES", "RATE_MDS", "CITYSEARCH", "INSIDER_PAGES", "TWITTER", "ALEXA", "MAP_QUEST", "WEBSITE_WIDGETS", "ECO_MOVEMENT", "GOOGLE_EV", "APPLE_EV", "TESLA_EV", "EUROWAG_EV", "OPIS_EV", "TOMTOM_EV", "HERE_EV", "YELLOW_PAGES_CANADA", "BBB", "UBERALL_SOCIAL_ADS", "APPLE_APPS", "CONSUMER_AFFAIRS", "CREDIT_KARMA", "DELIVERY", "GLASSDOOR", "PLAY_GOOGLE", "GRUBHUB", "INDEED", "LENDING_TREE", "MENUISM", "OPEN_TABLE", "OPEN_TABLE_USA", "WALLET_HUB", "ZILLOW", "ZOMATO", "WHATS_APP", "FOUR_SCREEN", "AND_CHARGE", "LINKED_IN"

  - `response.result.flowStatus` (string)
    The status of the current listing. One of  SUBMISSION_NEEDED, WAITING_USER_ACTION, WAITING_DIRECTORY_ACTION, ALL_INFORMATION_SUBMITTED, NO_ACTION_NEEDED, NOT_SUPPORTED, INACTIVE, NEEDS_REVIEW, MANUALLY_DEACTIVATED, REMOVAL_REVIEW_NEEDED, REMOVAL_NEEDED, REMOVAL_SUBMITTED, REMOVED, DONT_REMOVE
    Enum: "SUBMISSION_NEEDED", "WAITING_USER_ACTION", "WAITING_DIRECTORY_ACTION", "ALL_INFORMATION_SUBMITTED", "NO_ACTION_NEEDED", "NOT_SUPPORTED", "INACTIVE", "MANUALLY_DEACTIVATED", "MANUALLY_CREATED", "REMOVAL_REVIEW_NEEDED", "REMOVAL_NEEDED", "REMOVAL_SUBMITTED", "REMOVED", "DONT_REMOVE", "CANNOT_REMOVE", "CANCELLATION_NEEDED", "CANCELLATION_SUBMITTED"

  - `response.result.syncStatus` (string)
    The sync status of the listing. One of: IN_SYNC (location found on remote directory and in sync with reference data), NOT_IN_SYNC (location found on remote directory but differs from reference data), NOT_FOUND (location not found (yet) on remote directory), TECHNICAL_PROBLEMS (temporary problems when connecting with the directory),  NOT_SUPPORTED (if the location is incompatible with the directory or if we cannot search on that directory), NO_ONLINE_LISTING (for the types where there is no listing that can be checked online, e.g. GARMIN), LINK_ONLY (for the types where we can only link a listing by not update it)
    Enum: "IN_SYNC", "NOT_IN_SYNC", "NOT_FOUND", "TECHNICAL_PROBLEMS", "NOT_SUPPORTED", "NO_ONLINE_LISTING", "LINK_ONLY"

  - `response.result.claimStatus` (string)
    Claim status of the listing. One of CLAIMABLE, NOT_CLAIMABLE, CLAIMED_BY_US, CLAIMED_BY_OTHERS, CLAIMING_IN_PROGRESS, UNKNOWN
    Enum: "CLAIMABLE", "NOT_CLAIMABLE", "CLAIMED_BY_US", "CLAIMED_BY_OTHERS", "CLAIMED_BY_ANOTHER_US", "CLAIMING_IN_PROGRESS", "UNKNOWN"

  - `response.result.npi` (string)
    The National Provider Identifier (NPI) is a Health Insurance Portability and Accountability Act (HIPAA) Administrative Simplification Standard. The NPI is a unique identification number for covered health care providers.
    Example: "1558444216"

  - `response.result.npiStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.doctorCategoriesStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.nameDescriptor` (string)
    The location's name descriptor (submitted to Facebook).

  - `response.result.nameDescriptorStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.dateCreated` (string)
    The date and time the listing was created in our database

  - `response.result.openingDate` (string)
    The original opening date of the business

  - `response.result.openingDateStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.customFields` (object)

  - `response.result.customFieldsStatus` (string)
    The sync status of this specific field.
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.sublocality` (string)
    The sublocality field is only available for countries that require this for their postal address. The following countries have this for: Indonesia - Sub-district, Phillipines - Barangay, Thailand - Tambon / Khwaeng, Vietnam - Sublocality, Malaysia - Village, Nigeria - Local area, South Africa - Suburb.

  - `response.result.sublocalityStatus` (string)
    The sync status of this specific field. One of NOT_APPLICABLE, PRESENT, MISSING, MATCH, MISMATCH
    Enum: "MATCH", "MISMATCH", "PRESENT", "MISSING", "NOT_APPLICABLE"

  - `response.result.websiteExtra` (string)
    Utm or tracking path - only sent to GOOGLE

  - `response.result.categories` (array)
    Required - A list of category IDs describing the location

  - `response.result.keywords` (array)
    Keywords describing the location's activity

  - `response.result.photos` (boolean)
    Boolean indicating whether or not the listing has photos

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 401 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response


